---
sidebar_position: 1
description: Get list of tags and other functions to work with Dropbox in the Open Integration Package, a free open-source integration library for 1C:Enterprise 8, OneScript and CLI
keywords: [1C, 1С, 1С:Enterprise, 1С:Enterprise 8.3, API, Integration, Services, Exchange, OneScript, CLI, Dropbox]
---

import Tabs from '@theme/Tabs';
import TabItem from '@theme/TabItem';

# Get list of tags
 Gets the list of tags of the selected files



`Function GetTagList(Val Token, Val Paths) Export`

  | Parameter | CLI option | Type | Required | Description |
  |-|-|-|-|-|
  | Token | --token | String | &#x2714; | Token |
  | Paths | --paths | String, Array of String | &#x2714; | Path or set of paths to the files |

  
  Returns:  Map Of KeyAndValue - serialized JSON response from Dropbox



```bsl title="1C:Enterprise/OneScript code example"
    Token = "sl.u. ...";

    PathsArray = New Array;
    PathsArray.Add("/New/Dogs.mp3");
    PathsArray.Add("/New/mydoc.docx");

    Result = OPI_Dropbox.GetTagList(Token, PathsArray);
```
 

 <Tabs>
  
    <TabItem value="bash" label="Bash" default>
        ```bash
            oint dropbox GetTagList \
             --token "***" \
             --paths "['/New/Dogs.mp3','/New/mydoc.docx']"
        ```
    </TabItem>
  
    <TabItem value="bat" label="CMD/Bat" default>
        ```batch
            oint dropbox GetTagList ^
             --token "***" ^
             --paths "['/New/Dogs.mp3','/New/mydoc.docx']"
        ```
    </TabItem>
</Tabs>


```json title="Result"
{
 "paths_to_tags": [
  {
   "path": "/New/Dogs.mp3",
   "tags": []
  },
  {
   "path": "/New/mydoc.docx",
   "tags": [
    {
     ".tag": "user_generated_tag",
     "tag_text": "important"
    }
   ]
  }
 ]
}
```
